<?php

namespace Treewec\DirectoryIterators;

/**
 * Test class for IteratorElement.
 * Generated by PHPUnit on 2012-07-03 at 17:02:40.
 * @group directory_iterators
 */
class IteratorElementTest extends \PHPUnit_Framework_TestCase {

    public function test__construct() {
        $element = new IteratorElement(1, new \SplFileInfo(TREEWEC_VIEW_DIR));
        parent::assertTrue(is_int($element->depth));
        parent::assertInstanceOf('\SplFileInfo', $element->splFileInfo);
        // arguments are not checked if they are valid
        $element = new IteratorElement(null, null);
        parent::assertNull($element->depth);
        parent::assertNull($element->splFileInfo);
    }

}

?>
